﻿using System;

// i seguenti namespace non servono
//using System.Collections.Generic;
//using System.Linq;
//using System.Text;

namespace TestQuadrato
{
    class Quadrato
    {
        public const int NUMERO_LATI = 4;
        private static int _numeroIstanze = 0;
        private double _lunghezzaLato = 1.0;


        public static int NumeroIstanze
        {
            get { return _numeroIstanze; }
        }


        public Quadrato()
        {
            _numeroIstanze++;
        }

        public Quadrato(double lunghezzaLato)
        {
            _lunghezzaLato = (lunghezzaLato >= 0.0) ? lunghezzaLato : -lunghezzaLato;
            _numeroIstanze++;
        }

        public double LunghezzaLato
        {
            get { return _lunghezzaLato; }
            set { _lunghezzaLato = (value >= 0.0) ? value : -value; }
        }

        public double CalcolaPerimetro()
        {
            return _lunghezzaLato * NUMERO_LATI;
        }

        public double CalcolaArea()
        {
            return _lunghezzaLato * _lunghezzaLato;
        }
    }  // end of class Quadrato
} // end of namespace TestQuadrato
